import * as cp from "node:child_process";
import * as util from "node:util";
async function getGitHubAuthToken() {
  if (process.env.GH_TOKEN) {
    return { succeeded: true, token: process.env.GH_TOKEN };
  }
  const exec = util.promisify(cp.exec);
  const token = await exec("gh auth token");
  if (token?.stdout) {
    return { succeeded: true, token: token.stdout };
  }
  const help = await exec("gh");
  return {
    error: help.stderr && `Could not run \`gh\`: ${help.stderr}` || token?.stderr || void 0,
    succeeded: false
  };
}
export {
  getGitHubAuthToken
};
//# sourceMappingURL=getGitHubAuthToken.js.map